package request


type AlibabaPricePromotionActivityQueryRequest struct {
    /*
        外部档期code     */
    OuterPromotionCode  *string `json:"outer_promotion_code" required:"true" `
    /*
        TOB店仓编码     */
    OuCode  *string `json:"ou_code,omitempty" required:"false" `
    /*
        页码     */
    Page  *int64 `json:"page" required:"true" `
    /*
        页码大小     */
    PageSize  *int64 `json:"page_size" required:"true" `
}

func (s *AlibabaPricePromotionActivityQueryRequest) SetOuterPromotionCode(v string) *AlibabaPricePromotionActivityQueryRequest {
    s.OuterPromotionCode = &v
    return s
}
func (s *AlibabaPricePromotionActivityQueryRequest) SetOuCode(v string) *AlibabaPricePromotionActivityQueryRequest {
    s.OuCode = &v
    return s
}
func (s *AlibabaPricePromotionActivityQueryRequest) SetPage(v int64) *AlibabaPricePromotionActivityQueryRequest {
    s.Page = &v
    return s
}
func (s *AlibabaPricePromotionActivityQueryRequest) SetPageSize(v int64) *AlibabaPricePromotionActivityQueryRequest {
    s.PageSize = &v
    return s
}

func (req *AlibabaPricePromotionActivityQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.OuterPromotionCode != nil) {
        paramMap["outer_promotion_code"] = *req.OuterPromotionCode
    }
    if(req.OuCode != nil) {
        paramMap["ou_code"] = *req.OuCode
    }
    if(req.Page != nil) {
        paramMap["page"] = *req.Page
    }
    if(req.PageSize != nil) {
        paramMap["page_size"] = *req.PageSize
    }
    return paramMap
}

func (req *AlibabaPricePromotionActivityQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}